Subject: Re: [PATCH] Make git-branch a builtin

From: Shawn Pearce <[email-masked]>
Date: Tue, 24 Oct 2006 02:55:48 -0400

Junio C Hamano <[email-masked]> wrote:
> Shawn Pearce <[email-masked]> writes:
> 
> >> > Wouldn't it make more sense to just include the full SHA1 of the
> >> > file we are deleting rather than the entire 131 line negative diff?
> >> 
> >> How would you do "git apply -R" on something like that?
> >
> > Uh, you have the full SHA1 in the index line.  So you just have to
> > reattach that blob to the named path...  pretty simple actually.
> 
> Bzzzt; wrong answer.
> 
> Think of a future when you can shallowly clone near the tip of
> git repository that does not have shell-script git-branch.sh
> anymore.  You cannot expect to already have the preimage of the
> patch in such a case.  You would still want to be able to revert
> the change with "git apply -R".

Yet another valid argument for having the data needed for the
preimage available.

I've already agreed with Petr that having the data there is probably
better than not.  Now I'm also agreeing with you.  There is little
need to beat a dead horse.  :-)

-- 
Shawn.